Bug 1715 - Setting breakpoint in event handler and going to it freezes GUI.
Setting breakpoint in event handler and going to it freezes GUI.
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
3.x
All All
: P3 (vote)
: TBD
Assigned To: issues@www
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-13 20:02 UTC by issues@www
Modified: 2005-03-09 04:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 1999-05-13 20:02:06 UTC
Debugging multithreaded application "see debugtest.jar".
Starting Thread1. Then setting breakpoint to actionPerformed of Stop button. Press Stop. debugger goes to breakpoint and after pressing of a couple of F7 it freezes inside Thread1.setState() method.

java.net.SocketException: Connection reset by peer: JVM_recv in socket input str
eam read
        at java.net.SocketInputStream.socketRead(Native Method)
        at java.net.SocketInputStream.read(SocketInputStream.java:90)
        at java.io.BufferedInputStream.fill(BufferedInputStream.java:190)
        at java.io.BufferedInputStream.read(BufferedInputStream.java:208)
        at java.io.FilterInputStream.read(FilterInputStream.java:73)
        at sun.tools.debug.AgentIn.run(AgentIn.java:54)
        at java.lang.Thread.run(Thread.java:479)

Full thread dump:

"Request threadChanged thread" prio=2 tid=0xa35de0 nid=0x86 runnable [0x1710f000
..0x1710fe44]
        at com.netbeans.developer.modules.debugger.RequestSynchronizer.postReque
stAndWait(RequestSynchronizer.java:180)
        at com.netbeans.developer.modules.debugger.TheThread.getLocales(TheThrea
d.java:440)
        at com.netbeans.developer.modules.debugger.nodes.Locales.changeChildren(
Locales.java:69)
        at com.netbeans.developer.modules.debugger.nodes.ThreadContext.changeChi
ldren(ThreadContext.java:482)
        at com.netbeans.developer.modules.debugger.nodes.ThreadContext$1.propert
yChange(ThreadContext.java:129)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSup
port.java:156)
        at com.netbeans.developer.modules.debugger.JavaDebugger.fireDebuggerStat
eChanged(JavaDebugger.java:1028)
        at com.netbeans.developer.modules.debugger.TheThread.updateDebuggerState
(TheThread.java:499)
        at com.netbeans.developer.modules.debugger.TheThread.threadChanged(TheTh
read.java:486)
        at com.netbeans.developer.modules.debugger.TheThreadGroup.threadChangedI

n(TheThreadGroup.java:2
Comment 1 Quality Engineering 2003-07-02 16:01:00 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo